What is WAMP5?

What is WAMP5? Top Next
WAMP5 is an installer for Windows. it installs a complete WAMP solution on your computer. WAMP is for :

Windows - Apache - MySQL- PHP5

WAMP5 automatically configures them to work together, wherever you install them on your local drive.
These softwares are installed :

Apache 1.3.x.
PHP 5.x.x
MySQL 4.x.x
PHPmyadmin
SQLitemanager
Wampserver service manager

WAMP5 comes with a service manager as an icon tray. This manager will allow you to fully control your server and local projects.

WAMP5 is not designed for production but as a development environment. With WAMP5, you will be able to create you scripts locally on your computer, test them and then upload them on your production server.

We have configured Apache and MySQL servers with default configuration files to have the most standard platform. You can then adapt it to your personal needs.

During installation, a "www" directory is created in WAMP5's directory. Just put your script files (php files) in this directory and access your localhost threw an Internet Windows or the service manager (icon tray).


How to install

How to install Previous Top Next
Download the latest release of WAMP5 on one of the WAMPSERVER sites :

http://www.wampserver.com (French Website)
http://www.en.wampserver.com (English Website)

Double-click on the file to start installing.

WAMP5 will ask you where to install. You can install wherever you want, WAMP5 builds configuration files to reflect your choice. But don't forget that some scripts and modules don't like long names and special characters like spaces. We recommend you to leave default directory c:\wamp

WAMP5 will then ask you if want to install the option "Auto Start".
If you check this option, services will be installed as automatic and a link to the service manager will be copied to your startup menu.
Otherwise, services will be installed as manual and will start and stop with the service manager.

After installation, you can directly start using your server. You should first change MySQL's root default password. You can do it threw PHPmyadmin. Please read PHPmyadmin's documentation for more information.


How to upgrade

How to upgrade Previous Top Next
WAMP5 is now build to upgrade directly without loosing your data (since WAMP 1.0).

All you need to do is download the new version, shut down your local server and install this new version. It will automatically detect if you have existing scripts or databases (this will only work if you haven't moved the /www and /data directories).

Your configuration files won't be overwritten, just modified to fit changes of versions.


Installed services

Installed services Previous Top Next
When you install WAMP5, two services are installed on your computer :

wampapache (Apache service)
wampmysqld (MySQL service)

If you choose the 'Auto Start' option, those two services will be installed as automatic. This means that they will launch automatically on startup. This is interesting if you want you server to always be available. The service manager will also launch on startup. If you need to stop your server, you can do it threw the service manager or, even simpler, just close the manager, services will automatically stop.

If you don't choose th 'Auto Start' option, services will be installed as manual. This means that they will only run when you start them. This is interesting if you want your server to be available only when you need it. To start your server, just launch the service manager, services will be automatically started. To stop your server, close the manager, services will automatically stop.

You can also disable one of the services if you don't need it. For example, if you don't need MySQL, just choose 'remove service' threw the service manager. The service will then be stopped and removed. The manager will then only manage the apache service. If you need MySQL again, just choose 'install service' threw the manager and start MySQL.


Configuration files

Configuration files Previous Top Next
Apache, PHP5 and MySQL all have a configuration files. Here are the location of these files :

apache
install_dir\apache\conf\httpd.conf

PHP
install_dir\apache\php.ini

MySQL
c:\windows\mywamp.ini

You can access these three files threw the service manager. Theses files are unique to WAMP5 so you can have other servers than WAMP5 installed in the same time.


using WAMP5

using WAMP5 Previous Top Next
Well using WAMP5 is very easy. Just launch WAMP5 and start coding!

When you install WAMP5, a www directory is created in it's main directory. This is your "Document Root", the place where you must put your scripts to execute them with your server.
Turn on your WAMP5 and access your localhost and other functionalities threw the service manager ( icon tray).


Using the manager

Using the manager Previous Top Next
The service manager will help you managing your server.

When you launch the manager threw the 'Start' menu, an icon tray appears and apache and MySQL services are launched :

As shown above, the icon tray reflects the status of your server.

Just click on the icon to open the WAMP5 menu :

You can do lots of things with the manager, the best is to test actions just to discover functionalities.

To stop your server, just click with the right button on the icon and choose Exit.


Creating PHP scripts

Creating PHP scripts Previous Top Next
Well, we're not here to teach you how to write PHP scripts ;-)

The best way to learn is to buy a book or to read the PHP documentation on PHP's official site :

http://www.php.net

For MySQL : http://www.mysql.com

Just know that you just need to create a directory (project) in your www directory and put your scripts in it. Start your server, open an Internet navigator and open this address :

http://localhost

or access it threw the service manager (icon tray).

It's that easy...


How to uninstall

How to uninstall Previous Top Next
Before uninstalling WAMP5, backup all your scripts and databases (you can do this directly with PHPmyadmin).

To uninstall WAMP5, just click on the 'uninstall wampserver' link in the 'Start' menu.

All files will be deleted except for \mysql\data\ and \www\ directories.
The c:\windows\mywamp.ini will also be deleted.


compatibility

compatibility Previous Top Next
WAMP5 requires one of these systems to work :

Windows XP, NT, 2000, 2003

WAMP5 is totally compatible with other server installation :

  • the installation is compact. This means that all files are copied in the same directory (except fo mywamp.ini which goes in the windows directory).
  • the usual my.ini file is called mywamp.ini, so it is unique to WAMP5
  • WAMP5 installs it's own services. They have a special name :

- apache's service is called wampapache
- MySQL's service is called wampmysql

They don't interfere with other services (if you don't launch them in the same time of course...)


Credits

Credits Previous Top Next
WAMP5 is part of the WAMPSERVER project
WAMPSERVER is managed by the PHPTEAM.

Author : Romain Bourdon (aka Roms from Kaptive)
Email : contact@wampserver.com
Homepage : http://www.wampserver.com

Installation created with Inno Setup
Manager created with Aestran Tray Menu

Get sources codes just by asking at contact@wampserver.com